Get All
OData list of all Product.
Can be sorted and further filtered using OData conventions:
- Product?$select=col1,col2,abc/col3
- Product?$filter=col1 eq ‘foo’ and startswith(col2, ‘baz’)
- Product?$orderby=abc/col3,col1
- Product?$top=1000
- Product?$mode=full
OData returns XML or JSON carriers depending on the Accept headers.
Calls the Archive service using the “Product” archive.
Filter Operators:
ints: eq =, ne, le, lt, gt, ge, set, equals, greater, less, unequals, between
strings: contains, is, notBegins, notContains, isNot
associate: associateIsOneOf, associateIsNotOneOf,
list ids: oneOf, NotOneOf,
dates: before, date, after, dateBetween, beforeToday
Unary ops: currentAssociate, beforeToday, today, afterToday, lastWeek, thisWeek, nextWeek, lastMonth, thisMonth, nextMonth, lastQuarter, thisQuarter, nextQuarter, thisHalf, thisYear
Funcs: substringof(a,b), startswith(a,b), endswith(a,b), this(f,period), next(f,n,period), previous(f,n,period), thisAndNext(f,n,period), thisAndPrevious(f,n,period), thisAndPreviousAndNext(f,period)
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Query Parameters
Comma separated list of column names to return. "nameDepartment,fullname,category". Can also use aggregation functions and modifiers: "Count(category):Footer"
Expression to restrict the results. e.g.: "name begins 'foo' and category gt 1"
Comma separated list of column names to sort by, with optional direction. "name asc,fullname,category desc"
Comma separated list of entity names to use. Default = "". "contact, person"
Number of rows to return in results
Number of rows from database to skip before returning results
FULL (with raw values and hints for each value) or SLIM (just the display values)
Slim, Wide, Full Provider specific options. e.g: "GrandTotal=true"
Provider specific context parameter.
Set XML or JSON output format; override the format determined from Accept header.
Make output names into JSON safe property names. Replace all unsafe characters with _ underscore.
Return Logical or Display values in SLIM mode. Logical returns true/false for booleans, Display returns icon hints. Dates are always returned as ISO strings.
Logical, Display Related topics
Get All